import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  GetApplicationRevisionInput,
  GetApplicationRevisionOutput,
} from "../models/models_0";
export { __MetadataBearer };
export interface GetApplicationRevisionCommandInput
  extends GetApplicationRevisionInput {}
export interface GetApplicationRevisionCommandOutput
  extends GetApplicationRevisionOutput,
    __MetadataBearer {}
declare const GetApplicationRevisionCommand_base: {
  new (
    input: GetApplicationRevisionCommandInput
  ): import("@smithy/core/client").CommandImpl<
    GetApplicationRevisionCommandInput,
    GetApplicationRevisionCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  new (
    input: GetApplicationRevisionCommandInput
  ): import("@smithy/core/client").CommandImpl<
    GetApplicationRevisionCommandInput,
    GetApplicationRevisionCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/types").EndpointParameterInstructions;
};
export declare class GetApplicationRevisionCommand extends GetApplicationRevisionCommand_base {
  protected static __types: {
    api: {
      input: GetApplicationRevisionInput;
      output: GetApplicationRevisionOutput;
    };
    sdk: {
      input: GetApplicationRevisionCommandInput;
      output: GetApplicationRevisionCommandOutput;
    };
  };
}
